#!/usr/bin/python3

import sys
from utils import Utils
from file import FileActions
from ui import GUI


class BreadEditor:
    def __init__(self):
        self.utils = Utils(self)
        self.file_actions = FileActions(self)
        self.gui = GUI(self)

        self.gui.connect_gui(self)

        self.open_files = {}

    def run(self):
        self.utils.popup_init()

        self.gui.QTMainWindow.show()
        sys.exit(self.gui.qt_app.exec())


if __name__ == "__main__":
    editor = BreadEditor()
    editor.run()
